/**
 * ==================================================================
 * CHANGE HISTORY for mqrc2.h
 * ------------------------------------------------------------------
 * Date       Change-id   Produced  User Name
 * yyyymmdd               Version.
 *                        rr.ss.uu
 * Reason
 * ------------------------------------------------------------------
 * 20110215   RML000      01.00.00  R. Lacroix
 * Birth.
 *
 *
 * ------------------------------------------------------------------
 */
#ifndef __MQRC2
   #define __MQRC2 1 /*Indicate that this file has been incl.*/

#define NOT_FOUND          -1

/*   */
typedef struct MQ_ARRAY_S
{
   int         Index;           /* Used with both */
   char        *header;         /* Used with both */
   union
   {
      char     *compCode;       /* Used with ibm_rc.h */
      char     *severity;       /* Used with ibm_amq.h */
   } G1;

   char        *explanation;    /* Used with both */

   union
   {
      char     *pgrResp;        /* Used with ibm_rc.h */
      char     *response;       /* Used with ibm_amq.h */
   } G3;

} MQ_ARRAY_T;

/*
 * Prototypes
 */
void Usage(char *);
void DumpRCInfoToTheScreen(int , int );
void DumpAMQInfoToTheScreen(int , int, char );
int  BinarySearch( MQ_ARRAY_T A[ ], int , int  );
int  StringSearch( MQ_ARRAY_T A[ ], char *, int );

#endif  /* End of header file */
